package com.persagy.adm.server.custom.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@AllArgsConstructor
@Getter
public enum MajorEnum {
    CF("CF","土建精装"),AC("AC","空调"),WS("WS","给排水"),FF("FF","消防");
    private String code;
    private String comment;

    public static String getComment(String code) {
        switch (code){
            case "CF": return CF.getComment();
            case "AC": return AC.getComment();
            case "WS": return WS.getComment();
            case "FF": return FF.getComment();
        }

        return null;
    }
}
